module.exports = {
  create: {
    requestBody: [
      "send_id",
      "send_name",
      "send_time",
      "type",
      "content",
      "file",
      "receive_user",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "send_id",
      "send_name",
      "send_time",
      "type",
      "content",
      "file",
      "receive_user",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        send_id: "send_id",
        send_name: "send_name",
        send_time: "send_time",
        type: "type",
        user_id: "user_id",
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  updateRead: {
    params: ["!id"],
    requestBody: ["user_id", "status", "receive_user"],
  },
};
