'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 通知通告
const notice = {
  send_id: { type: String }, // 发送人
  send_name: { type: String }, // 发送人姓名
  send_time: { type: String }, // 发送时间
  type: { type: String }, //接收人类型 0:所有人，1：团队创建人，2：个人用户，3：指定，某一个人
  content: { type: String }, // 通知内容
  file: { type: Array }, // 文件
  receive_user: { type: Array }, // 接收人 [{user_id，user_name，status:0:未读，1：已读}]
  remark: { type: String },
};
const schema = new Schema(notice, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ match_id: 1 });
schema.index({ send_name: 1 });
schema.index({ send_time: 1 });
schema.index({ type: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model("Notice", schema, "notice");
};
