'use strict';
// 路由配置
const rkey = 'statistics';
const ckey = 'statistics';
const keyZh = '统计';
const routes = [
  { method: 'get', path: `${rkey}/match`, controller: `${ckey}.match`, name: `${ckey}Match`, zh: `${keyZh}-比赛排名` },
  { method: 'get', path: `${rkey}/ranking`, controller: `${ckey}.ranking`, name: `${ckey}Query`, zh: `${keyZh}-排行榜` },
];

module.exports = app => {
  const { router, config } = app;
  const mwares = app.middleware;
  for (const route of routes) {
    const { method, path, controller: ctl, zh } = route;
    let { middleware = [] } = route;
    if (!method || !path || !ctl) continue;
    // 拼全路径
    const allPath = `${config.routePrefix}/${path}`;
    // 处理中间件
    if (middleware.length > 0) middleware = middleware.map(i => mwares[i]({ enable: true }));
    // 注册路由
    router[method](zh, allPath, ...middleware, ctl);
  }
};
